Subject: Repost: RFC 3471: IF ID specification WRT component link.

From: Sameer K <[email-masked]>
Date: Fri, 7 Mar 2003 01:28:28 -0800 (PST)

Reposting, as I did not get any response.  Could
someone please answer the question.

Thanks
- Sameer

--- Sameer K <[email-masked]> wrote:
> Hello All,
> 
> From the RFC 3471 - GMPLS Signaling Functional
> Description, Section 9.1.1, it appears that there is
> no way for upstream node, to specify component links
> that are numbered, in the IF-ID HOP object.
> 
> The TLV format for IF-ID Types 4 and 5 assumes that
> the component link is always un-numbered.
> 
> Is this the way it was planned to be?.  If yes, then
> what should IF-ID look like for numbered component
> link (which is a valid scenario per the Link
> Bundling
> draft).
> 
> Or did I get it all wrong?
> TIA
> - Sameer
> 
> 
> __________________________________________________
> Do you Yahoo!?
> Yahoo! Tax Center - forms, calculators, tips, more
> http://taxes.yahoo.com/
> 

__________________________________________________
Do you Yahoo!?
Yahoo! Tax Center - forms, calculators, tips, more
http://taxes.yahoo.com/

---

From: Yakov Rekhter <[email-masked]>
Date: Mon, 10 Mar 2003 06:58:44 -0800

Sameer,

> someone please answer the question.

from  draft-ietf-mpls-bundle-04.txt:

   If the component link is numbered, the IF_ID RSVP_HOP object, or 
   IF_ID TLV carries either Type 1 (IPv4 address) or Type 2 (IPv6
   address) TLVs (see [GMPLS-SIG]). The address carried in the TLV
   identifies the link for which label allocation must be done.
   
   If the component link is unnumbered, the IF_ID RSVP_HOP object, or
   IF_ID TLV carries Type 3 (IF_INDEX) TLV (see [GMPLS-SIG]). The
   value carried in Type 3 TLV contains the identifier of the selected
   component link assigned to the link by the sender of the Path/REQUEST
   message. Processing this object is the same as specified in Section
   "Processing the IF_ID RSVP_HOP object"/"Processing the IF_ID TLV"
   of [RSVP-UNNUM]/[CRLDP-UNNUM].

Yakov.

---

From: Anca Zamfir <[email-masked]>
Date: Mon, 10 Mar 2003 10:34:38 -0500

Yakov,
What goes in the IF-ID RSVP_HOP TLVs if upstream and downstream directions 
use different numbered component links?
Thanks,
Anca

> > > Or did I get it all wrong?

--------------------------------------------
Anca Zamfir                                Public Carrier IP
Cisco Systems, Inc.                    email: [email-masked]
2000 Innovation Dr., Kanata          tel#: (613) 254-3484
Ontario, CANADA  K2K 3E8         fax:  (613) 254-3717

---

From: Yakov Rekhter <[email-masked]>
Date: Mon, 10 Mar 2003 07:37:01 -0800

Anca,

> use different numbered component links?

draft-ietf-mpls-bundle-04.txt does *not* support this.

Yakov.

---

From: Anca Zamfir <[email-masked]>
Date: Mon, 10 Mar 2003 10:54:12 -0500

Yakov,
>draft-ietf-mpls-bundle-04.txt does *not* support this.

It looks like draft-ietf-mpls-bundle-04.txt does not support different 
links (numbered or unnumbered) for the upstream and downstream directions.
On the other hand, RFC3471 seems to allow different unnumbered links for 
the upstream and downstream LSP directions, but no equivalent support for 
the numbered case, so it looks like a small inconsistency. Any reasons for 
this?

Thanks,
Anca